%global __tar %{_bindir}/tar

Name:           sleef 
Version:        3.7 
Release:        1 
Summary:        SIMD Library for Evaluating Elementary Functions, vectorized libm and DFT.

License:        BSL 
URL:            https://sleef.org/ 
Source:         https://github.com/shibatch/sleef/archive/refs/tags/sleef-3.7.tar.gz 

BuildArch:      ppc

BuildRequires:  gcc >= 10.3.0 
BuildRequires:  cmake >= 3.30.3

Patch0:         sleef-3.7-aix-changes.patch
%description
SIMD Library for Evaluating Elementary Functions, vectorized libm and DFT.

%package devel
Summary: Devel package for sleef 

Requires: %{name} >= %{version}-%{release}

%description devel
Devel package for sleef.

%prep
%setup -q
%patch0 -p0

%build
ulimit -m unlimited
ulimit -d unlimited
export OBJECT_MODE=64
export CC="/opt/freeware/bin/gcc" 
export CXX="/opt/freeware/bin/g++"
export CPPFLAGS="  -pthread -maix64 -I/opt/freeware/include -I/usr/local/include "
export CFLAGS="${CPPFLAGS} -maltivec -mvsx -g "
export CXXFLAGS="${CPPFLAGS} -maltivec -mvsx -g "
export LDFLAGS="-L/opt/freeware/lib/pthread -L/opt/freeware/lib64 -L/usr/local/lib -L/opt/freeware/lib "
 
 
 
cmake . -B build -DSLEEF_BUILD_GNUABI_LIBS=OFF -DBUILD_SHARED_LIBS=ON -DCMAKE_PREFIX_PATH=/opt/freeware -DCMAKE_LIBRARY_PATH=/opt/freeware/lib -DCMAKE_INCLUDE_PATH=/opt/freeware/include -D CMAKE_INSTALL_PREFIX="/opt/freeware/" 
cmake --build build

%install
export DESTDIR=${RPM_BUILD_ROOT}
export OBJECT_MODE=64
cmake --install build

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%license LICENSE.txt 
%{_libdir}/cmake/sleef/*.cmake
%{_libdir}/*.a
%{_libdir}/pkgconfig/sleef.pc

%files devel
%defattr(-,root,system,-)
%{_includedir}/sleef.h

%changelog
* Wed Jan 15 2025 Aditya Kamath <Aditya.Kamath1@ibm.com> - 3.7-1 
- Sleef port to AIX. 
